POST /api/v3/userGroup

Create a user group

CreateUserGroupV3 Permissions: UsersAndUserGroups (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

UserGroupRequest
Property Description Type
description A description of the user group Must be between 0 and 255 characters string
members List of system user ids in the group Hidden users cannot be added to groups On PUT request, if this property is null or not passed the group membership will not change To remove all members pass an empty list integer[]
newUserEmail List of new users to create and add to the group The email cannot be currently used by another user Users are created as limited users with the Contact role and default topmost string[]
userGroupName The user group name Must be between 0 and 64 characters Required string
Example Request Body application/json
{  "description": "string",  "members": [
    1
  ],  "newUserEmail": [
    "string"
  ],  "userGroupName": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UserGroupResponse
Property Description Type
description The user group description string
lastUpdated The last time a member was inserted, updated, or deleted from the group string (date-time)
memberCount The number of users in this group integer (int32)
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
Example Response application/json
{  "description": "string",  "lastUpdated": "2026-03-30",  "memberCount": 1,  "userGroupId": 1,  "userGroupName": "string"
}